> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Catalog Field Origins



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/catalog-families/{familyId}/field-origins
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-families/{familyId}/field-origins:
    get:
      tags:
        - Catalog Field Origins
      summary: List Catalog Field Origins
      operationId: CatalogFieldOriginsController_list_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: familyId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogFieldOriginsResponseDto'
components:
  schemas:
    CatalogFieldOriginsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CatalogFieldOriginDto'
      required:
        - items
    CatalogFieldOriginDto:
      type: object
      properties:
        originKind:
          enum:
            - collection
            - project
          type: string
        subjectType:
          type: string
        subjectId:
          type: string
        field:
          type: string
        columnSlug:
          type:
            - string
            - 'null'
        originId:
          type: string
        originName:
          type:
            - string
            - 'null'
        actorName:
          type:
            - string
            - 'null'
        changedAt:
          type: string
      required:
        - originKind
        - subjectType
        - subjectId
        - field
        - columnSlug
        - originId
        - originName
        - actorName
        - changedAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.